Package org.jfree.layouting.renderer.border

## Class StyledBorderEdge

- java.lang.Object
- - org.jfree.layouting.renderer.border.StyledBorderEdge

- All Implemented Interfaces:
    `BorderEdge`

      public class StyledBorderEdge
      extends java.lang.Object
      implements BorderEdge

  Creation-Date: 23.06.2006, 16:54:04
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyledBorderEdge​(CSSValue borderStyle, CSSColorValue color, RenderLength width)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSValue` | `getBorderStyle​()` |
    `CSSColorValue` | `getColor​()` |
    `RenderLength` | `getWidth​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyledBorderEdge

          public StyledBorderEdge​(CSSValue borderStyle,
                                  CSSColorValue color,
                                  RenderLength width)

  - ### Method Detail

    - #### getWidth

          public RenderLength getWidth​()

      Specified by:
        `getWidth` in interface `BorderEdge`

    - #### getBorderStyle

          public CSSValue getBorderStyle​()

      Specified by:
        `getBorderStyle` in interface `BorderEdge`

    - #### getColor

          public CSSColorValue getColor​()

      Specified by:
        `getColor` in interface `BorderEdge`